## photoflare 1.6.9

=== external/qt-solutions/qtsingleapplication/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.11)
cmake_policy(SET CMP0020 OLD)
if ( CMAKE_VERSION VERSION_GREATER 3.0 )
cmake_policy(SET CMP0043 OLD)
endif()

set(QTSINGLEAPPLICATION "qtsingleapplication")
set(PROJECT ${QTSINGLEAPPLICATION})
project(${PROJECT})

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
if(WIN32)
	add_definitions(-DUNICODE -D_UNICODE)
endif(WIN32)
set(CMAKE_AUTOMOC ON)

#find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork REQUIRED)
find_package(Qt5Core)
#find_package(Qt5Network)
#include_directories( ${QT_INCLUDE_DIR} )
#include_directories( ${QT_INCLUDE_DIR}/Qt )

set( MAIN_SRC 
		"qtlocalpeer.cpp"
		"qtsingleapplication.cpp"
		"qtsinglecoreapplication.cpp"
)

set(MAIN_QT_HDRS
		"qtlocalpeer.h"
		"qtsingleapplication.h"
		"qtsinglecoreapplication.h"
)

set(MAIN_HDRS
		"qtlocalpeer.h"
		"qtlockedfile.h"
		"qtsingleapplication.h"
		"qtsinglecoreapplication.h"
		"QtLockedFile"
		"QtSingleApplication"
)

#qt4_wrap_cpp(MOC_SOURCES ${MAIN_QT_HDRS} )

#add comment
add_library(${PROJECT} STATIC ${MAIN_SRC} ${MOC_SOURCES})
#target_link_libraries(${PROJECT} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY})
qt5_use_modules(${PROJECT} Widgets Network)
set(QTSINGLEAPPLICATION_LIBS ${QTSINGLEAPPLICATION} PARENT_SCOPE)

## photoflare 1.5.6

=== debian/changelog ===
photoflare (1.5.6-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 03 Dec 2018 12:27:51 -0800

photoflare (1.5.6-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 24 Nov 2018 15:25:16 +0100

photoflare (1.5.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.
  * Remove all patches: upstream applied.
  * AppStream file and pixmaps icon are now installed by upstream.
  * Add qt5-image-formats-plugins to Depends.
  * Bump Standards-Version: 4.2.1 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Wed, 07 Nov 2018 07:21:33 +0100

photoflare (1.5.4-1) unstable; urgency=medium

  * Initial release. (Closes: #901871, LP: #1711644)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Mon, 25 Jun 2018 18:28:05 +0200

=== debian/control ===
Source: photoflare
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 10),
               libgraphicsmagick++-dev,
               qtbase5-dev (>= 5.6),
               qttools5-dev-tools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoflare
Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoflare.git
Homepage: http://photoflare.io/

Package: photoflare
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qt5-image-formats-plugins
Description: Simple but powerful Image Editor
 PhotoFlare is an effort to bring quick, simple but powerful image editing to
 the masses. PhotoFlare is inspired by the image editor PhotoFiltre which is
 available only on another OS. PhotoFlare is designed for beginner users with
 the aim to give them a tool easy to learn and use.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT=qt5

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## photoflare 1.5.7

=== debian/changelog ===
photoflare (1.5.7-1) unstable; urgency=medium

  * New upstream release.
  * Remove ftbfs_hurd.patch: upstream applied.
  * Bump Standards-Version: 4.3.0 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Tue, 19 Feb 2019 07:54:57 +0100

photoflare (1.5.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix FTBFS on Hurd.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Dec 2018 19:39:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: photoflare
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libgraphicsmagick++-dev,
                qtbase5-dev (>= 5.6),
                qttools5-dev-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoflare
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoflare.git
 Homepage: http://photoflare.io/

## photoflare 1.5.9

=== debian/changelog ===
photoflare (1.5.9-1) unstable; urgency=medium

  * New upstream release.
  * Buster is released, so upload to unstable again.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 07 Jul 2019 08:04:10 +0200

photoflare (1.5.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Update d/copyright: add license of io.photoflare.photoflare.appdata.xml.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 10 Apr 2019 09:15:03 +0200

photoflare (1.5.8-1) experimental; urgency=medium

  * New upstream release.
  * Update d/copyright.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 Mar 2019 15:59:44 +0100

## photoflare 1.6.2

=== debian/changelog ===
photoflare (1.6.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:48 +0100

photoflare (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.5.0 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Sun, 02 Feb 2020 08:18:34 +0100

photoflare (1.6.1.0-2) unstable; urgency=medium

  * Remove BD libomp-dev to build photoflare on all architectures
    unsupported by libomp-dev.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Dec 2019 09:27:20 +0100

photoflare (1.6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Use secure URI in Homepage field.
  * Bump Standards-Version: 4.4.1 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Wed, 11 Dec 2019 07:31:17 +0100

photoflare (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libomp-dev to Build-Dep.
  * Bump Standards-Version: 4.4.0 (no changes needed).
  * Bump debhelper-compat 12.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 05 Oct 2019 17:04:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libgraphicsmagick++-dev,
                qtbase5-dev (>= 5.6),
                qttools5-dev-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoflare
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoflare.git
-Homepage: http://photoflare.io/
+Homepage: https://photoflare.io/
 
 Package: photoflare
 Architecture: any

## photoflare 1.6.5

=== debian/changelog ===
photoflare (1.6.5-1) unstable; urgency=medium

  * New upstream version
    - Fix colour picker crash (Closes: #961848)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 01 Jun 2020 17:24:02 +0200

photoflare (1.6.4-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 12 Apr 2020 16:57:35 +0200

photoflare (1.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 11 Mar 2020 06:38:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoflare
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoflare.git
 Homepage: https://photoflare.io/
+Rules-Requires-Root: no
 
 Package: photoflare
 Architecture: any

## photoflare 1.6.6

=== debian/changelog ===
photoflare (1.6.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 17 Nov 2020 10:03:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libgraphicsmagick++-dev,
                qtbase5-dev (>= 5.6),
                qttools5-dev-tools

## photoflare 1.6.9

=== debian/changelog ===
photoflare (1.6.9-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Upload to unstable as Bullseye was released.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Aug 2021 21:03:15 +0200

photoflare (1.6.9-1) experimental; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 16 Jul 2021 21:55:21 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libgraphicsmagick++-dev,
                qtbase5-dev (>= 5.6),
                qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoflare
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoflare.git
 Homepage: https://photoflare.io/

## photoflare 1.6.10

=== debian/changelog ===
photoflare (1.6.10-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 Jul 2022 23:09:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libgraphicsmagick++-dev,
                qtbase5-dev (>= 5.6),
                qttools5-dev-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoflare
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoflare.git
 Homepage: https://photoflare.io/

## photoflare 1.6.12

=== debian/changelog ===
photoflare (1.6.12-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version
  * Standards-Version: 4.6.2 (no changes needed)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on qtbase5-dev.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Jan 2023 18:05:52 +0100

photoflare (1.6.11-1) unstable; urgency=medium

  * New upstream version 1.6.11

 -- Dylan Aïssi <daissi@debian.org>  Thu, 10 Nov 2022 11:14:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libgraphicsmagick++-dev,
-               qtbase5-dev (>= 5.6),
+               qtbase5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoflare
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoflare.git
 Homepage: https://photoflare.io/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,3 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## photoflare 1.6.13

=== debian/changelog ===
photoflare (1.6.13-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:47 +1100

photoflare (1.6.13-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:23:08 +0000

photoflare (1.6.13-1) unstable; urgency=medium

  * New upstream version 1.6.13
  * Remove languages/*.qm with dh_clean (Closes: #1047998)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 27 Oct 2023 17:38:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: photoflare
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: graphics
 Priority: optional

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/photoflare-$1\.tar\.gz/ \
  https://github.com/PhotoFlare/photoflare/tags .*/v?(\d\S+)\.tar\.gz
